--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -19351,6 +22291,7 @@
 	3b20  5 Series/3400 Series Chipset 4 port SATA IDE Controller
 	3b21  5 Series/3400 Series Chipset 2 port SATA IDE Controller
 	3b22  5 Series/3400 Series Chipset 6 port SATA AHCI Controller
+		1028 02da  OptiPlex 980
 	3b23  5 Series/3400 Series Chipset 4 port SATA AHCI Controller
 	3b25  5 Series/3400 Series Chipset SATA RAID Controller
 	3b26  5 Series/3400 Series Chipset 2 port SATA IDE Controller
@@ -19367,12 +22308,14 @@
 		e4bf 50c1  PC1-GROOVE
 	3b30  5 Series/3400 Series Chipset SMBus Controller
 		1025 0347  Aspire 7740G
+		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
 	3b32  5 Series/3400 Series Chipset Thermal Subsystem
 		1025 0347  Aspire 7740G
 	3b34  5 Series/3400 Series Chipset USB2 Enhanced Host Controller
 		1025 0347  Aspire 7740G
+		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
 	3b36  5 Series/3400 Series Chipset USB Universal Host Controller
@@ -19383,6 +22326,7 @@
 	3b3b  5 Series/3400 Series Chipset USB Universal Host Controller
 	3b3c  5 Series/3400 Series Chipset USB2 Enhanced Host Controller
 		1025 0347  Aspire 7740G
+		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
 	3b3e  5 Series/3400 Series Chipset USB Universal Host Controller
@@ -19390,19 +22334,23 @@
 	3b40  5 Series/3400 Series Chipset USB Universal Host Controller
 	3b41  5 Series/3400 Series Chipset LAN Controller
 	3b42  5 Series/3400 Series Chipset PCI Express Root Port 1
+		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
 	3b44  5 Series/3400 Series Chipset PCI Express Root Port 2
 		1028 040b  Latitude E6510
 	3b46  5 Series/3400 Series Chipset PCI Express Root Port 3
+		1028 040b  Latitude E6510
 	3b48  5 Series/3400 Series Chipset PCI Express Root Port 4
 		1028 040b  Latitude E6510
 	3b4a  5 Series/3400 Series Chipset PCI Express Root Port 5
+		1028 02da  OptiPlex 980
 	3b4c  5 Series/3400 Series Chipset PCI Express Root Port 6
 	3b4e  5 Series/3400 Series Chipset PCI Express Root Port 7
 	3b50  5 Series/3400 Series Chipset PCI Express Root Port 8
 	3b53  5 Series/3400 Series Chipset VECI Controller
 	3b56  5 Series/3400 Series Chipset High Definition Audio
 		1025 0347  Aspire 7740G
+		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
 	3b57  5 Series/3400 Series Chipset High Definition Audio
@@ -19524,6 +22472,7 @@
 	4220  PRO/Wireless 2200BG [Calexico2] Network Connection
 		103c 0934  Compaq nw8240/nx8220
 		103c 12f6  nc6120/nx8220/nw8240
+		8086 2701  WM3B2300BG Mini-PCI Card
 		8086 2712  IBM ThinkPad R50e
 		8086 2721  Dell B130 laptop integrated WLAN
 		8086 2722  Dell Latitude D600
@@ -19829,80 +22778,141 @@
 	8817  Platform Controller Hub EG20T I2C Controller
 	8818  Platform Controller Hub EG20T Controller Area Network (CAN) Controller
 	8819  Platform Controller Hub EG20T IEEE 1588 Hardware Assist
-	8c00  Lynx Point 4-Port SATA IDE Controller
-	8c01  Lynx Point 4-Port SATA IDE Controller
-	8c02  Lynx Point 6-Port SATA AHCI Controller
-	8c03  Lynx Point 6-Port SATA AHCI Controller
-	8c04  Lynx Point SATA RAID Controller
-	8c05  Lynx Point SATA RAID Controller
-	8c06  Lynx Point SATA RAID Controller
-	8c07  Lynx Point SATA RAID Controller
-	8c08  Lynx Point 2-Port SATA IDE Controller
-	8c09  Lynx Point 2-Port SATA IDE Controller
-	8c0e  Lynx Point SATA RAID Controller
-	8c0f  Lynx Point SATA RAID Controller
-	8c10  Lynx Point PCI Express Root Port 1
-	8c11  Lynx Point PCI Express Root Port 1
-	8c12  Lynx Point PCI Express Root Port 2
-	8c13  Lynx Point PCI Express Root Port 2
-	8c14  Lynx Point PCI Express Root Port 3
-	8c15  Lynx Point PCI Express Root Port 3
-	8c16  Lynx Point PCI Express Root Port 4
-	8c17  Lynx Point PCI Express Root Port 4
-	8c18  Lynx Point PCI Express Root Port 5
-	8c19  Lynx Point PCI Express Root Port 5
-	8c1a  Lynx Point PCI Express Root Port 6
-	8c1b  Lynx Point PCI Express Root Port 6
-	8c1c  Lynx Point PCI Express Root Port 7
-	8c1d  Lynx Point PCI Express Root Port 7
-	8c1e  Lynx Point PCI Express Root Port 8
-	8c1f  Lynx Point PCI Express Root Port 8
-	8c20  Lynx Point HD Audio Controller
-	8c21  Lynx Point HD Audio Controller
-	8c22  Lynx Point SMBus Controller
-	8c23  Lynx Point CHAP Counter
-	8c24  Lynx Point Thermal Management Controller
-	8c26  Lynx Point USB Enhanced Host Controller #1
-	8c2d  Lynx Point USB Enhanced Host Controller #2
-	8c31  Lynx Point USB xHCI Host Controller
-	8c33  Lynx Point LAN Controller
-	8c34  Lynx Point NAND Controller
-	8c3a  Lynx Point MEI Controller #1
-	8c3b  Lynx Point MEI Controller #2
-	8c3c  Lynx Point IDE-r Controller
-	8c3d  Lynx Point KT Controller
-	8c40  Lynx Point LPC Controller
-	8c41  Lynx Point LPC Controller
-	8c42  Lynx Point LPC Controller
-	8c43  Lynx Point LPC Controller
-	8c44  Lynx Point LPC Controller
-	8c45  Lynx Point LPC Controller
-	8c46  Lynx Point LPC Controller
-	8c47  Lynx Point LPC Controller
-	8c48  Lynx Point LPC Controller
-	8c49  Lynx Point LPC Controller
-	8c4a  Lynx Point LPC Controller
-	8c4b  Lynx Point LPC Controller
-	8c4c  Lynx Point LPC Controller
-	8c4d  Lynx Point LPC Controller
-	8c4e  Lynx Point LPC Controller
-	8c4f  Lynx Point LPC Controller
-	8c50  Lynx Point LPC Controller
-	8c51  Lynx Point LPC Controller
-	8c52  Lynx Point LPC Controller
-	8c53  Lynx Point LPC Controller
-	8c54  Lynx Point LPC Controller
-	8c55  Lynx Point LPC Controller
-	8c56  Lynx Point LPC Controller
-	8c57  Lynx Point LPC Controller
-	8c58  Lynx Point LPC Controller
-	8c59  Lynx Point LPC Controller
-	8c5a  Lynx Point LPC Controller
-	8c5b  Lynx Point LPC Controller
-	8c5c  Lynx Point LPC Controller
-	8c5d  Lynx Point LPC Controller
-	8c5e  Lynx Point LPC Controller
-	8c5f  Lynx Point LPC Controller
+	8c00  8 Series/C220 Series Chipset Family 4-port SATA Controller 1 [IDE mode]
+	8c01  8 Series Chipset Family 4-port SATA Controller 1 [IDE mode] - Mobile
+	8c02  8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode]
+	8c03  8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode]
+	8c04  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
+	8c05  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
+	8c06  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
+	8c07  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
+	8c08  8 Series/C220 Series Chipset Family 2-port SATA Controller 2 [IDE mode]
+	8c09  8 Series/C220 Series Chipset Family 2-port SATA Controller 2 [IDE mode]
+	8c0e  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
+	8c0f  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
+	8c10  8 Series/C220 Series Chipset Family PCI Express Root Port #1
+	8c11  8 Series/C220 Series Chipset Family PCI Express Root Port #1
+	8c12  8 Series/C220 Series Chipset Family PCI Express Root Port #2
+	8c13  8 Series/C220 Series Chipset Family PCI Express Root Port #2
+	8c14  8 Series/C220 Series Chipset Family PCI Express Root Port #3
+	8c15  8 Series/C220 Series Chipset Family PCI Express Root Port #3
+	8c16  8 Series/C220 Series Chipset Family PCI Express Root Port #4
+	8c17  8 Series/C220 Series Chipset Family PCI Express Root Port #4
+	8c18  8 Series/C220 Series Chipset Family PCI Express Root Port #5
+	8c19  8 Series/C220 Series Chipset Family PCI Express Root Port #5
+	8c1a  8 Series/C220 Series Chipset Family PCI Express Root Port #6
+	8c1b  8 Series/C220 Series Chipset Family PCI Express Root Port #6
+	8c1c  8 Series/C220 Series Chipset Family PCI Express Root Port #7
+	8c1d  8 Series/C220 Series Chipset Family PCI Express Root Port #7
+	8c1e  8 Series/C220 Series Chipset Family PCI Express Root Port #8
+	8c1f  8 Series/C220 Series Chipset Family PCI Express Root Port #8
+	8c20  8 Series/C220 Series Chipset High Definition Audio Controller
+	8c21  8 Series/C220 Series Chipset High Definition Audio Controller
+	8c22  8 Series/C220 Series Chipset Family SMBus Controller
+	8c23  8 Series Chipset Family CHAP Counters
+	8c24  8 Series Chipset Family Thermal Management Controller
+	8c26  8 Series/C220 Series Chipset Family USB EHCI #1
+	8c2d  8 Series/C220 Series Chipset Family USB EHCI #2
+	8c31  8 Series/C220 Series Chipset Family USB xHCI
+	8c33  8 Series/C220 Series Chipset Family LAN Controller
+	8c34  8 Series/C220 Series Chipset Family NAND Controller
+	8c3a  8 Series/C220 Series Chipset Family MEI Controller #1
+	8c3b  8 Series/C220 Series Chipset Family MEI Controller #2
+	8c3c  8 Series/C220 Series Chipset Family IDE-r Controller
+	8c3d  8 Series/C220 Series Chipset Family KT Controller
+	8c40  8 Series/C220 Series Chipset Family LPC Controller
+	8c41  8 Series Chipset Family Mobile Super SKU LPC Controller
+	8c42  8 Series/C220 Series Chipset Family Desktop Super SKU LPC Controller
+	8c43  8 Series/C220 Series Chipset Family LPC Controller
+	8c44  Z87 Express LPC Controller
+	8c45  8 Series/C220 Series Chipset Family LPC Controller
+	8c46  Z85 Express LPC Controller
+	8c47  8 Series/C220 Series Chipset Family LPC Controller
+	8c48  8 Series/C220 Series Chipset Family LPC Controller
+	8c49  HM86 Express LPC Controller
+	8c4a  H87 Express LPC Controller
+	8c4b  HM87 Express LPC Controller
+	8c4c  Q85 Express LPC Controller
+	8c4d  8 Series/C220 Series Chipset Family LPC Controller
+	8c4e  Q87 Express LPC Controller
+	8c4f  QM87 Express LPC Controller
+	8c50  B85 Express LPC Controller
+	8c51  8 Series/C220 Series Chipset Family LPC Controller
+	8c52  C222 Series Chipset Family Server Essential SKU LPC Controller
+	8c53  8 Series/C220 Series Chipset Family LPC Controller
+	8c54  C224 Series Chipset Family Server Standard SKU LPC Controller
+	8c55  8 Series/C220 Series Chipset Family LPC Controller
+	8c56  C226 Series Chipset Family Server Advanced SKU LPC Controller
+	8c57  8 Series/C220 Series Chipset Family LPC Controller
+	8c58  8 Series/C220 Series Chipset Family WS SKU LPC Controller
+	8c59  8 Series/C220 Series Chipset Family LPC Controller
+	8c5a  8 Series/C220 Series Chipset Family LPC Controller
+	8c5b  8 Series/C220 Series Chipset Family LPC Controller
+	8c5c  C220 Series Chipset Family H81 Express LPC Controller
+	8c5d  8 Series/C220 Series Chipset Family LPC Controller
+	8c5e  8 Series/C220 Series Chipset Family LPC Controller
+	8c5f  8 Series/C220 Series Chipset Family LPC Controller
+	8d00  Wellsburg 4-port SATA Controller [IDE mode]
+	8d02  Wellsburg 6-Port SATA Controller [AHCI mode]
+	8d04  Wellsburg SATA Controller [RAID mode]
+	8d06  Wellsburg SATA Controller [RAID mode]
+	8d08  Wellsburg 2-port SATA Controller [IDE mode]
+	8d0e  Wellsburg SATA Controller [RAID mode]
+	8d10  Wellsburg PCI Express Root Port #1
+	8d11  Wellsburg PCI Express Root Port #1
+	8d12  Wellsburg PCI Express Root Port #2
+	8d13  Wellsburg PCI Express Root Port #2
+	8d14  Wellsburg PCI Express Root Port #3
+	8d15  Wellsburg PCI Express Root Port #3
+	8d16  Wellsburg PCI Express Root Port #4
+	8d17  Wellsburg PCI Express Root Port #4
+	8d18  Wellsburg PCI Express Root Port #5
+	8d19  Wellsburg PCI Express Root Port #5
+	8d1a  Wellsburg PCI Express Root Port #6
+	8d1b  Wellsburg PCI Express Root Port #6
+	8d1c  Wellsburg PCI Express Root Port #7
+	8d1d  Wellsburg PCI Express Root Port #7
+	8d1e  Wellsburg PCI Express Root Port #8
+	8d1f  Wellsburg PCI Express Root Port #8
+	8d20  Wellsburg HD Audio Controller
+	8d21  Wellsburg HD Audio Controller
+	8d22  Wellsburg SMBus Controller
+	8d24  Wellsburg Thermal Subsystem
+	8d26  Wellsburg USB Enhanced Host Controller #1
+	8d2d  Wellsburg USB Enhanced Host Controller #2
+	8d31  Wellsburg USB xHCI Host Controller
+	8d33  Wellsburg LAN Controller
+	8d34  Wellsburg NAND Controller
+	8d3a  Wellsburg MEI Controller #1
+	8d3b  Wellsburg MEI Controller #2
+	8d3c  Wellsburg IDE-r Controller
+	8d3d  Wellsburg KT Controller
+	8d40  Wellsburg LPC Controller
+	8d41  Wellsburg LPC Controller
+	8d42  Wellsburg LPC Controller
+	8d43  Wellsburg LPC Controller
+	8d44  Wellsburg LPC Controller
+	8d45  Wellsburg LPC Controller
+	8d46  Wellsburg LPC Controller
+	8d47  Wellsburg LPC Controller
+	8d48  Wellsburg LPC Controller
+	8d49  Wellsburg LPC Controller
+	8d4a  Wellsburg LPC Controller
+	8d4b  Wellsburg LPC Controller
+	8d4c  Wellsburg LPC Controller
+	8d4d  Wellsburg LPC Controller
+	8d4e  Wellsburg LPC Controller
+	8d4f  Wellsburg LPC Controller
+	8d60  Wellsburg sSATA Controller [IDE mode]
+	8d62  Wellsburg sSATA Controller [AHCI mode]
+	8d64  Wellsburg sSATA Controller [RAID mode]
+	8d66  Wellsburg sSATA Controller [RAID mode]
+	8d68  Wellsburg sSATA Controller [IDE mode]
+	8d6e  Wellsburg sSATA Controller [RAID mode]
+	8d7c  Wellsburg EPSS
+	8d7d  Wellsburg MS SMBus 0
+	8d7e  Wellsburg MS SMBus 1
+	8d7f  Wellsburg MS SMBus 2
 	9000  IXP2000 Family Network Processor
 	9001  IXP2400 Network Processor
 	9002  IXP2300 Network Processor
@@ -19911,16 +22921,84 @@
 	9622  Integrated RAID
 	9641  Integrated RAID
 	96a1  Integrated RAID
-	a000  N10 Family DMI Bridge
+	9c00  Lynx Point-LP SATA Controller 1 [IDE mode]
+	9c01  Lynx Point-LP SATA Controller 1 [IDE mode]
+	9c02  Lynx Point-LP SATA Controller 1 [AHCI mode]
+	9c03  Lynx Point-LP SATA Controller 1 [AHCI mode]
+	9c04  Lynx Point-LP SATA Controller 1 [RAID mode]
+	9c05  Lynx Point-LP SATA Controller 1 [RAID mode]
+	9c06  Lynx Point-LP SATA Controller 1 [RAID mode]
+	9c07  Lynx Point-LP SATA Controller 1 [RAID mode]
+	9c08  Lynx Point-LP SATA Controller 2 [IDE mode]
+	9c09  Lynx Point-LP SATA Controller 2 [IDE mode]
+	9c0a  LynxPoint-LP SATA Controller [Reserved]
+	9c0b  LynxPoint-LP SATA Controller [Reserved]
+	9c0c  LynxPoint-LP SATA Controller [Reserved]
+	9c0d  LynxPoint-LP SATA Controller [Reserved]
+	9c0e  Lynx Point-LP SATA Controller 1 [RAID mode]
+	9c0f  Lynx Point-LP SATA Controller 1 [RAID mode]
+	9c10  Lynx Point-LP PCI Express Root Port 1
+	9c11  Lynx Point-LP PCI Express Root Port 1
+	9c12  Lynx Point-LP PCI Express Root Port 2
+	9c13  Lynx Point-LP PCI Express Root Port 2
+	9c14  Lynx Point-LP PCI Express Root Port 3
+	9c15  Lynx Point-LP PCI Express Root Port 3
+	9c16  Lynx Point-LP PCI Express Root Port 4
+	9c17  Lynx Point-LP PCI Express Root Port 4
+	9c18  Lynx Point-LP PCI Express Root Port 5
+	9c19  Lynx Point-LP PCI Express Root Port 5
+	9c1a  Lynx Point-LP PCI Express Root Port 6
+	9c1b  Lynx Point-LP PCI Express Root Port 6
+	9c1c  Lynx Point-LP PCI Express Root Port 7
+	9c1d  Lynx Point-LP PCI Express Root Port 7
+	9c1e  Lynx Point-LP PCI Express Root Port 8
+	9c1f  Lynx Point-LP PCI Express Root Port 8
+	9c20  Lynx Point-LP HD Audio Controller
+	9c21  Lynx Point-LP HD Audio Controller
+	9c22  Lynx Point-LP SMBus Controller
+	9c23  Lynx Point-LP CHAP Counters
+	9c24  Lynx Point-LP Thermal
+	9c26  Lynx Point-LP USB EHCI #1
+	9c2d  Lynx Point-LP USB EHCI #2
+	9c31  Lynx Point-LP USB xHCI HC
+	9c35  Lynx Point-LP SDIO Controller
+	9c36  Lynx Point-LP Audio DSP Controller
+	9c3a  Lynx Point-LP HECI #0
+	9c3b  Lynx Point-LP HECI #1
+	9c3c  Lynx Point-LP HECI IDER
+	9c3d  Lynx Point-LP HECI KT
+	9c40  Lynx Point-LP LPC Controller
+	9c41  Lynx Point-LP LPC Controller
+	9c42  Lynx Point-LP LPC Controller
+	9c43  Lynx Point-LP LPC Controller
+	9c44  Lynx Point-LP LPC Controller
+	9c45  Lynx Point-LP LPC Controller
+	9c46  Lynx Point-LP LPC Controller
+	9c47  Lynx Point-LP LPC Controller
+	9c60  Lynx Point-LP Low Power Sub-System DMA
+	9c61  Lynx Point-LP I2C Controller #0
+	9c62  Lynx Point-LP I2C Controller #1
+	9c63  Lynx Point-LP UART Controller #0
+	9c64  Lynx Point-LP UART Controller #1
+	9c65  Lynx Point-LP SPI Controller #0
+	9c66  Lynx Point-LP SPI Controller #1
+	a000  Atom Processor D4xx/D5xx/N4xx/N5xx DMI Bridge
+		1458 5000  GA-D525TUD
 		8086 4f4d  DeskTop Board D510MO
-	a001  N10 Family Integrated Graphics Controller
+		8086 544b  Desktop Board D425KT
+	a001  Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
+		1458 d000  GA-D525TUD
 		8086 4f4d  DeskTop Board D510MO
-	a002  N10 Family Integrated Graphics Controller
-	a003  N10 Family CHAPS counter
-	a010  N10 Family DMI Bridge
-	a011  N10 Family Integrated Graphics Controller
-	a012  N10 Family Integrated Graphics Controller
-	a013  N10 Family CHAPS counter
+		8086 544b  Desktop Board D425KT
+	a002  Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
+	a003  Atom Processor D4xx/D5xx/N4xx/N5xx CHAPS counter
+	a010  Atom Processor D4xx/D5xx/N4xx/N5xx DMI Bridge
+		144d c072  Notebook N150P
+	a011  Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
+		144d c072  Notebook N150P
+	a012  Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
+		144d c072  Notebook N150P
+	a013  Atom Processor D4xx/D5xx/N4xx/N5xx CHAPS counter
 	a620  6400/6402 Advanced Memory Buffer (AMB)
 	b152  21152 PCI-to-PCI Bridge
 		8086 b152  21152 PCI-to-PCI Bridge
@@ -19935,6 +23013,7 @@
 		e4bf 1000  CC8-1-BLUES
 	d130  Core Processor DMI
 	d131  Core Processor DMI
+		1028 02da  OptiPlex 980
 	d132  Core Processor DMI
 		1028 040b  Latitude E6510
 	d133  Core Processor DMI
@@ -19943,6 +23022,7 @@
 	d136  Core Processor DMI
 	d137  Core Processor DMI
 	d138  Core Processor PCI Express Root Port 1
+		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
 	d139  Core Processor PCI Express Root Port 2
 	d13a  Core Processor PCI Express Root Port 3
@@ -19958,16 +23038,6 @@
 	cafe  VirtualBox Guest Service
 8322  Sodick America Corp.
 8384  SigmaTel
-	7618  High Definition Audio Codec
-	7634  9250 HD Audio Codec
-	7662  High Definition Audio Codec
-		104d 1e00  High Definition Audio Codec [STAC9872AK]
-	7664  High Definition Audio Codec
-	7670  9770 High Definition Audio
-	7672  9772 High Definition Audio
-	7682  IDT High Definition Audio Codec
-	7690  9200 HD Audio Codec
-		1028 01c1  Precision 490
 8401  TRENDware International Inc.
 8686  ScaleMP
 	1010  vSMPowered system controller [vSMP CTL]
@@ -20092,6 +23162,7 @@
 		9004 7888  AHA-2930UW SCSI Controller
 	8b78  ABA-1030
 	ec78  AHA-4944W/UW
+# acquired by PMC-Sierra
 9005  Adaptec
 	0010  AHA-2940U2/U2W
 		9005 2180  AHA-2940U2 SCSI Controller
@@ -20264,6 +23335,31 @@
 		9005 02b3  2400
 		9005 02b4  ICP ICP5045AL
 		9005 0800  Callisto
+	028b  Series 6 - 6G SAS/PCIe 2
+		9005 0200  Series 6 Entry Level - ASR-6405E - 4 internal 6G SAS ports
+		9005 0201  Series 6 Entry Level - ASR-6805E - 8 internal 6G SAS ports
+		9005 0300  Series 6 - ASR-6405 - 4 internal 6G SAS ports
+		9005 0301  Series 6 - ASR-6805 - 8 internal 6G SAS ports
+		9005 0302  Series 6 - ASR-6445 - 4 internal and 4 external 6G SAS ports
+		9005 0310  Series 6 Connectors on Top - ASR-6405T - 4 internal 6G SAS ports
+		9005 0311  Series 6 Connectors on Top - ASR-6805T - 8 internal 6G SAS
+		9005 0400  Series 6 - ASR-61205 - 12 internal 6G SAS ports
+		9005 0401  Series 6 - ASR-61605 - 16 internal 6G SAS ports
+		9005 0403  Series 6 - ASR-62405 - 24 internal 6G SAS ports
+	028c  Series 7 6G SAS/PCIe 3
+		9005 0500  Series 7 - ASR-7805 - 8 internal 6G SAS Port/PCIe 3.0
+		9005 0501  Series 7 - ASR-71605 - 16 internal 6G SAS Port/PCIe 3.0
+		9005 0502  Series 7 - ASR-71685 - 16 internal 8 external 6G SAS Port/PCIe 3.0
+		9005 0503  Series 7 - ASR-72405 - 24 internal 0 external 6G SAS Port/PCIe 3.0
+		9005 0504  Series 7 - ASR-7885 - 8 internal 8 external 6G SAS Port/PCIe 3.0
+		9005 0505  Series 7 Entry Level - ASR-71685E - 16 internal 8 external 6G SAS Port/PCIe 3.0
+		9005 0506  Series 7 Entry Level - ASR-72405E - 24 internal 0 external 6G SAS Port/PCIe 3.0
+	028d  Series 8 12G SAS/PCIe 3
+		9005 0550  Series 8 - ASR-82405 - 24 internal 0 external 12G SAS Port/PCIe 3.0
+		9005 0551  Series 8 - ASR-81605 - 16 internal 0 external 12G SAS Port/PCIe 3.0
+		9005 0552  Series 8 - ASR-8805 - 8 internal 0 external 12G SAS Port/PCIe 3.0
+		9005 0553  Series 8 - ASR-8085 - 0 internal 8 external 12G SAS Port/PCIe 3.0
+		9005 0554  Series 8 - ASR-8885 - 8 internal 8 external 12G SAS Port/PCIe 3.0
 	0410  AIC-9410W SAS (Razor HBA RAID)
 		9005 0410  ASC-48300(Spirit RAID)
 		9005 0411  ASC-58300 (Oakmont RAID)
@@ -20313,6 +23409,9 @@
 	801f  AIC-7902 U320
 		1734 1011  PRIMERGY RX300 onboard SCSI
 	8080  ASC-29320A U320 w/HostRAID
+	8081  PMC-Sierra PM8001 SAS HBA [Series 6H]
+	8088  PMC-Sierra PM8018 SAS HBA [Series 7H]
+	8089  PMC-Sierra PM8019 SAS encryption HBA [Series 7He]
 	808f  AIC-7901 U320 w/HostRAID
 	8090  ASC-39320 U320 w/HostRAID
 	8091  ASC-39320D U320 w/HostRAID
@@ -20336,7 +23435,8 @@
 	0001  JusonTech Gigabit Ethernet Controller
 9699  Omni Media Technology Inc
 	6565  6565
-9710  NetMos Technology
+# nee Netmos Technology
+9710  MosChip Semiconductor Technology Ltd.
 	9250  PCI-to-PCI bridge [MCS9250]
 	9805  PCI 1 port parallel adapter
 	9815  PCI 9815 Multi-I/O Controller
@@ -20359,6 +23459,8 @@
 	9865  PCI 9865 Multi-I/O Controller
 	9901  PCIe 9901 Multi-I/O Controller
 	9904  4-Port PCIe Serial Adapter
+# 2-port Serial 1-port Parallel Adaptor
+	9912  PCIe 9912 Multi-I/O Controller
 	9922  PCIe 9922 Multi-I/O Controller
 	9990  MCS9990 PCIe to 4‐Port USB 2.0 Host Controller
 9902  Stargen Inc.
@@ -20398,6 +23500,8 @@
 # Pinnacle should be 11bd, but they got it wrong several times --mj
 bd11  Pinnacle Systems, Inc. (Wrong ID)
 bdbd  Blackmagic Design
+# HD/SDI input and output card for PCI Express 1x
+	a11b  DeckLink SDI
 c001  TSI Telsys
 c0a9  Micron/Crucial Technology
 c0de  Motorola
@@ -20407,6 +23511,7 @@
 	0001  TurboCap Port A
 	0002  TurboCap Port B
 	0023  AirPcap N
+caed  Canny Edge
 cafe  Chrysalis-ITS
 	0003  Luna K3 Hardware Security Module
 	0006  Luna PCI-e 3000 Hardware Security Module
@@ -20440,6 +23545,8 @@
 	8006  Wildcard AEX410 4-port analog card (PCI-Express)
 	8007  Hx8 Series 8-port Base Card
 	8008  Hx8 Series 8-port Base Card (PCI-Express)
+	800a  Wildcard TE133 single-span T1/E1/J1 card (PCI Express)
+	800b  Wildcard TE134 single-span T1/E1/J1 card
 	b410  Wildcard B410 quad-BRI card
 d4d4  Dy4 Systems Inc
 	0601  PCI Mezzanine Card
@@ -20449,6 +23556,10 @@
 db10  Diablo Technologies
 dcba  Dynamic Engineering
 	0046  PCIeAlteraCycloneIV
+# VPX format Receiver Controller Board
+	0047  VPX-RCB
+# PMC Format FPGA design with 8 high speed UART channels
+	0048  PMC-Biserial-III-BAE9
 dd01  Digital Devices GmbH
 	0003  Octopus LE DVB adapter
 dead  Indigita Corporation
@@ -20578,7 +23689,6 @@
 	a10e  BCM4230 iLine10 HomePNA 2.0
 fede  Fedetec Inc.
 	0003  TABIC PCI v3
-ffee  FNK Tech
 fffd  XenSource, Inc.
 	0101  PCI Event Channel Controller
 # Used in some old VMWare products before they got a real ID assigned
